ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceSessionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<VoiceSession>
    - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionLogDao
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VoiceSessionDao
      extends VoiceSessionLogDao

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TABLE_VOICE_SESSION`

    - ### Fields inherited from class ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionLogDao

      `logger, TABLE_VOICE_SESSION_LOG`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceSessionDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `insertSession(VoiceSession session)`
    `void` | `updateSession(VoiceSession session)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionLogDao

      `checkTables, deleteSessions, deleteSessions, deleteSessions, get, getContractSums, getDetailSumValues, getFieldPart, getFromRS, getSessionFromRs, getSessionsDetail, getSessionsGroupedByAccount, getSessionsGroupedByAccountAndDestination, getSessionsGroupedByAccountAndService, insertSessions, list, list, setPsParams, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_VOICE_SESSION

          public static final java.lang.String TABLE_VOICE_SESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VoiceSessionDao

          public VoiceSessionDao(java.sql.Connection con,
                                 int mid)

  - ### Method Detail

    - #### insertSession

          public void insertSession(VoiceSession session)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateSession

          public void updateSession(VoiceSession session)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### close

          public void close()
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `ru.bitel.common.dao.AbstractDao<VoiceSession>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`